For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Get Import by ID

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/imports/:import_id
GET
/api.php/dbs/:db_id/imports/:import_id
$curl https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Imports_getImport_example
1{
2 "id": "135",
3 "db_id": "132",
4 "name": "ftp",
5 "status": "0",
6 "file_location": "preprocess_script",
7 "import_info": {
8 "url": "https://haproxy-preprocess.feedonomics.com/preprocess/run_preprocess.php?connection_info%5Bprotocol%5D=ftp&amp;connection_info%5Bhost%5D=ftp2.feedonomics.com&amp;connection_info%5Busername%5D=9c62fc319543&amp;connection_info%5Bpassword%5D=68c07d24ab8bc8f2db143864&amp;file_info%5Brequest_type%5D=get&amp;file_info%5Bfile_type_name%5D=File%20Name&amp;file_info%5Bclean_ftp%5D=false&amp;file_info%5Bdirectory%5D=%2FFEED110&amp;file_info%5Bfilename%5D=1_import_practical.txt&amp;",
9 "CURLOPT_USERAGENT": "",
10 "preprocess_info": {
11 "connection_info": {
12 "protocol": "ftp",
13 "host": "ftp2.feedonomics.com",
14 "username": "9",
15 "password": "68"
16 },
17 "file_info": {
18 "request_type": "get",
19 "file_type_name": "File Name",
20 "clean_ftp": false,
21 "directory": "\\/FEED110",
22 "filename": "1_import_practical.txt",
23 "file_match": "",
24 "keep_files_count": ""
25 },
26 "actions": []
27 }
28 },
29 "file_type": "delimited",
30 "file_map": {
31 "encoding": "",
32 "separator": "\\\\t",
33 "enclosure": "",
34 "escaper": "",
35 "maps": {
36 "id": "id",
37 "title": "title",
38 "body-html": "body_html"
39 }
40 },
41 "line_terminator": "\\\\r\\\\n",
42 "join_type": "product_feed",
43 "running": "0",
44 "cxn_id": "23935",
45 "name_based_maps": "1",
46 "xml_force_parse": "0",
47 "force_encoding": "0",
48 "timestamp": "2021-09-22 16:35:55",
49 "ignore_lines": "1",
50 "load_threshold": "1",
51 "update_threshold": "1",
52 "max_attempts": "1",
53 "time_between_attempts": "1",
54 "limits": "",
55 "backup_failures": "0",
56 "last_download_time": "2021-09-22 16:35:56",
57 "last_backup_time": "0000-00-00 00:00:00",
58 "needs_backup": "1",
59 "xmlreader": "0",
60 "clean_file_headers": "0",
61 "download_activity_timeout": "0",
62 "timeout": "900",
63 "last_download_status": "success",
64 "ftp_allow_minio_direct": "0",
65 "created_at": "2021-09-22 16:19:38"
66}
Retrieves an import by its ID.
Was this page helpful?
Previous

Create Import

Next

Updates import

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
ID of the database that the import belongs to
import_iddoubleRequired
ID of the import

Headers

x-api-keystringRequired

Response

Get Import by ID
idstring
db_idstring
namestring
cronstring
next_run_timestring
statusstring
file_locationstring
import_infoobject
file_typestring
file_mapobject
line_terminatorstring
join_typestring
runningstring
cxn_idstring
name_based_mapsstring
xml_force_parsestring
force_encodingstring
timestampstring
ignore_linesstring
load_thresholdstring
update_thresholdstring
max_attemptsstring
time_between_attemptsstring
limitsstring
backup_cxn_idstring
backup_failuresstring
last_download_timestring
last_backup_timestring
needs_backupstring
xmlreaderstring
clean_file_headersstring
download_activity_timeoutstring
timeoutstring
last_download_statusstring
ftp_allow_minio_directstring
created_atstring